security:
    encoders:
        Symfony\Component\Security\Core\User\User: 'auto'
    providers:
        instance_provider:
            id: App\Security\Provider\InstanceProvider
        app_basic:
            memory:
                users:
                    doc: { password: '$argon2id$v=19$m=65536,t=4,p=1$ueCrKdsMH62ZiHhfUhjTOA$/VocxgLiwWr7IdtK7TzXTm/fje3pXZTgyYKS0kDg6jA', roles: [ 'ROLE_ADMIN' ] } #hdg36456
    firewalls:
        dev:
            pattern: ^/(_(profiler|wdt)|css|images|js)/
            security: false
        docs:
            pattern: ^/api/doc.*
            anonymous: false
            security: true
            http_basic:
                realm: Secured Area
            provider: app_basic
        api:
            anonymous: false
            stateless: true
            guard:
                authenticators:
                    - App\Security\ApiHmacAuthenticator
                    - App\Security\InternalAuthenticator
                entry_point: App\Security\ApiHmacAuthenticator
            provider: instance_provider
    access_control:

